using UnityEngine;

namespace Wizard;

public class DialogItemPurchase : MonoBehaviour
{
	[SerializeField]
	private ItemPurchase itemPurchaseOriginal;

	public void CreateItemPurcahseDialog()
	{
		ItemPurchase itemPurchase = Object.Instantiate(itemPurchaseOriginal);
		itemPurchase.Init(delegate
		{
			DialogBase dialogBase = UIManager.GetInstance().CreateDialogClose();
			dialogBase.SetSize(DialogBase.Size.XL);
			dialogBase.SetObj(itemPurchase.gameObject);
			dialogBase.SetTitleLabel(Data.SystemText.Get("Shop_0128"));
			dialogBase.SetButtonLayout(DialogBase.ButtonLayout.CloseBtn);
		});
	}
}
